"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = SessionContextProvider;
exports.useSession = void 0;
var _react = _interopRequireWildcard(require("react"));
var _Session = require("../entities/Session");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const SessionContext = /*#__PURE__*/(0, _react.createContext)({
  session: {},
  updateState: () => {}
});
const useSession = () => (0, _react.useContext)(SessionContext);
exports.useSession = useSession;
function SessionContextProvider(_ref) {
  let {
    children,
    initialSession
  } = _ref;
  const isFirstRender = (0, _react.useRef)(false);
  const [session, setSession] = (0, _react.useState)(initialSession);
  const updateState = () => {
    setSession(prev => new _Session.Session(prev.current));
  };
  (0, _react.useEffect)(() => {
    if (isFirstRender.current) {
      isFirstRender.current = false;
      return;
    }
    setSession(initialSession);
  }, [isFirstRender.current, initialSession]);
  return /*#__PURE__*/_react.default.createElement(SessionContext.Provider, {
    value: {
      session,
      updateState
    }
  }, children);
}
//# sourceMappingURL=SessionContext.js.map