"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ChatConfigurationsProvider = void 0;
var _react = _interopRequireWildcard(require("react"));
var _ChatConfigurationsContext = _interopRequireDefault(require("../context/ChatConfigurationsContext"));
var _global = require("../global");
var _initialChatConfigurations = require("../constants/initialChatConfigurations");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const ChatConfigurationsProvider = _ref => {
  let {
    configurations,
    appearance,
    children
  } = _ref;
  const {
    botId
  } = _global.Global;
  const [initialConfigurations, setInitialConfigurations] = (0, _react.useState)(_initialChatConfigurations.initialConfigs);
  (0, _react.useEffect)(() => {
    const getInitialStyles = async () => {
      var _appearance$settings, _appearance$settings2, _appearance$settings3, _appearance$settings4;
      const chatConfigs = await configurations.getStyles(botId);
      setInitialConfigurations({
        ...chatConfigs,
        settings: {
          ...chatConfigs.settings,
          botFab: (appearance === null || appearance === void 0 ? void 0 : (_appearance$settings = appearance.settings) === null || _appearance$settings === void 0 ? void 0 : _appearance$settings.botFab) || chatConfigs.settings.botFab,
          mainColor: (appearance === null || appearance === void 0 ? void 0 : appearance.settings.mainColor) || chatConfigs.settings.mainColor,
          secondaryColor: (appearance === null || appearance === void 0 ? void 0 : (_appearance$settings2 = appearance.settings) === null || _appearance$settings2 === void 0 ? void 0 : _appearance$settings2.secondaryColor) || chatConfigs.settings.secondaryColor,
          mainTextColor: (appearance === null || appearance === void 0 ? void 0 : (_appearance$settings3 = appearance.settings) === null || _appearance$settings3 === void 0 ? void 0 : _appearance$settings3.mainTextColor) || chatConfigs.settings.mainTextColor,
          secondaryTextColor: (appearance === null || appearance === void 0 ? void 0 : (_appearance$settings4 = appearance.settings) === null || _appearance$settings4 === void 0 ? void 0 : _appearance$settings4.secondaryTextColor) || chatConfigs.settings.secondaryTextColor
        }
      });
    };
    getInitialStyles();
  }, [botId]);
  return /*#__PURE__*/_react.default.createElement(_ChatConfigurationsContext.default, {
    initialChatConfigurations: initialConfigurations
  }, children);
};
exports.ChatConfigurationsProvider = ChatConfigurationsProvider;
//# sourceMappingURL=ChatConfigurationsProvider.js.map