import React from 'react';
import { View, Text, Linking, TouchableOpacity } from 'react-native';
import { useChatConfigurations } from '../../../../context/ChatConfigurationsContext';
import { styles } from './styles';
function Footer() {
  const {
    chatConfigurations
  } = useChatConfigurations();
  const hasText = !!(chatConfigurations !== null && chatConfigurations !== void 0 && chatConfigurations.poweredBy);
  const onTextPress = () => Linking.openURL(chatConfigurations.poweredByUrl);
  return hasText ? /*#__PURE__*/React.createElement(View, {
    style: styles.footerContainer
  }, /*#__PURE__*/React.createElement(TouchableOpacity, {
    testID: "poweredBy",
    onPress: onTextPress
  }, /*#__PURE__*/React.createElement(Text, {
    style: styles.footerText
  }, chatConfigurations.poweredBy))) : /*#__PURE__*/React.createElement(View, null);
}
export default Footer;
//# sourceMappingURL=index.js.map