import React from 'react';
import { View, StyleSheet } from 'react-native';
import { From, MessageTypes } from '../../../../../types/message';
import { useChatConfigurations } from '../../../../../context/ChatConfigurationsContext';
import MessageHour from '../components/MessageHour';
import { MessageStatusWrapper } from '../components/MessageStatus';
export default (MessageComponent => {
  const {
    chatConfigurations
  } = useChatConfigurations();
  const styles = StyleSheet.create({
    container: {
      borderTopRightRadius: 16,
      borderTopStartRadius: 16,
      maxWidth: 290,
      minWidth: 80,
      padding: 16,
      paddingBottom: 0
    },
    bot: {
      backgroundColor: chatConfigurations.settings.secondaryColor,
      alignSelf: 'flex-start',
      borderBottomEndRadius: 16,
      borderBottomStartRadius: 4
    },
    user: {
      backgroundColor: chatConfigurations.settings.mainColor,
      alignSelf: 'flex-end',
      borderBottomEndRadius: 4,
      borderBottomStartRadius: 16
    }
  });
  const MessageWrapper = props => {
    const ballonStyle = props.from === From.BOT ? styles.bot : styles.user;
    return /*#__PURE__*/React.createElement(MessageStatusWrapper, {
      type: props.type,
      from: props.from,
      status: props.status || 'sent'
    }, /*#__PURE__*/React.createElement(View, {
      style: [styles.container, ballonStyle]
    }, /*#__PURE__*/React.createElement(MessageComponent, props), props.type !== MessageTypes.TYPING && /*#__PURE__*/React.createElement(MessageHour, {
      msg: props
    })));
  };
  return MessageWrapper;
});
//# sourceMappingURL=wrapMessage.js.map