import { Message, MessageStatus } from '../types';
import { MessageGateway } from './MessageGateway';
import { SocketConnection, HttpConnection, Storage } from '../infra';
import { OnMessageCallback } from '../infra/ports/SocketConnection';
import { MessageList } from '../entities/MessageList';
import { SessionGateway } from './SessionGateway';
export declare class MessageHttpSocketGateway implements MessageGateway {
    private readonly ws;
    private readonly httpConnection;
    private readonly storage;
    private readonly sessionGateway;
    constructor(ws: SocketConnection, httpConnection: HttpConnection, storage: Storage, sessionGateway: SessionGateway);
    sendStatus(messageId: string, status: MessageStatus): Promise<void>;
    getMessages(): Promise<MessageList>;
    sendMessage(msg: Message): Promise<any>;
    storeMessage(msg: any): Promise<MessageList>;
    clearMessages(): Promise<MessageList>;
    onMessage(callback: OnMessageCallback): void;
}
//# sourceMappingURL=MessageHttpSocketGateway.d.ts.map