import { SocketAction } from '../../types';
import { SocketConnection, Logger } from '../ports';
import { OnMessageCallback, OnOpenCallback, OnEndConversationCallback } from '../ports/SocketConnection';
export declare class WebSocketAdapter implements SocketConnection {
    private readonly url;
    private readonly logger;
    private ws;
    private onMessageCallback;
    private onOpenCallback;
    private onEndConversationCallback;
    private connectionTries;
    private readonly maxConnectionTries;
    constructor(url: string, logger: Logger);
    connect(): void;
    disconnect(): void;
    sendMessage(action: SocketAction): void;
    onMessage(callback: OnMessageCallback): void;
    onOpen(callback: OnOpenCallback): void;
    onEndConversation(callback: OnEndConversationCallback): void;
}
//# sourceMappingURL=WebSocketAdapter.d.ts.map